# Uses of Class
java.time.zone.ZoneRules

Packages that use ZoneRules
Package
Description
java.time
The main API for dates, times, instants, and durations.
java.time.zone
Support for time-zones and their rules.

## Uses of ZoneRules in java.time

Methods in java.time that return ZoneRules
Modifier and Type
Method
Description
`abstract ZoneRules`
ZoneId.`getRules()`
Gets the time-zone rules for this ID allowing calculations to be performed.
`ZoneRules`
ZoneOffset.`getRules()`
Gets the associated time-zone rules.

## Uses of ZoneRules in java.time.zone

Methods in java.time.zone that return ZoneRules
Modifier and Type
Method
Description
`static ZoneRules`
ZoneRulesProvider.`getRules​(String zoneId, boolean forCaching)`
Gets the rules for the zone ID.
`static ZoneRules`
ZoneRules.`of​(ZoneOffset offset)`
Obtains an instance of ZoneRules that has fixed zone rules.
`static ZoneRules`
ZoneRules.`of​(ZoneOffset baseStandardOffset, ZoneOffset baseWallOffset, List<ZoneOffsetTransition> standardOffsetTransitionList, List<ZoneOffsetTransition> transitionList, List<ZoneOffsetTransitionRule> lastRules)`
Obtains an instance of a ZoneRules.
`protected abstract ZoneRules`
ZoneRulesProvider.`provideRules​(String zoneId, boolean forCaching)`
SPI method to get the rules for the zone ID.
Methods in java.time.zone that return types with arguments of type ZoneRules
Modifier and Type
Method
Description
`static NavigableMap<String,​ZoneRules>`
ZoneRulesProvider.`getVersions​(String zoneId)`
Gets the history of rules for the zone ID.
`protected abstract NavigableMap<String,​ZoneRules>`
ZoneRulesProvider.`provideVersions​(String zoneId)`
SPI method to get the history of rules for the zone ID.